'# MWS Version: Version 2013.1 - May 16 2013 - ACIS 23.0.0 -

'# length = mm
'# frequency = GHz
'# time = ns
'# frequency range: fmin = 0.5 fmax = 6


'@ define units

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
With Units 
     .Geometry "mm" 
     .Frequency "GHz" 
     .Time "ns" 
     .TemperatureUnit "Kelvin" 
     .Voltage "V" 
     .Current "A" 
     .Resistance "Ohm" 
     .Conductance "S" 
     .Capacitance "PikoF" 
     .Inductance "NanoH" 
End With

'@ activate local coordinates

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
WCS.ActivateWCS "local"

'@ define material: material1

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
With Material 
     .Reset 
     .Name "material1"
     .FrqType "all"
     .Type "Normal"
     .SetMaterialUnit "GHz", "mm"
     .Epsilon "140"
     .Mue "1"
     .ThinPanel "False"
     .Thickness "0"
     .Kappa "0"
     .TanD "0.0"
     .TanDFreq "0.0"
     .TanDGiven "False"
     .TanDModel "ConstTanD"
     .ReferenceCoordSystem "Global"
     .CoordSystemType "Cartesian"
     .KappaM "0"
     .TanDM "0.0"
     .TanDMFreq "0.0"
     .TanDMGiven "False"
     .TanDMModel "ConstTanD"
     .DispModelEps  "None"
     .DispModelMue "None"
     .DispersiveFittingSchemeEps "1st Order"
     .DispersiveFittingSchemeMue "1st Order"
     .UseGeneralDispersionEps "False"
     .UseGeneralDispersionMue "False"
     .NLAnisotropy "False"
     .NLAStackingFactor "1"
     .NLADirectionX "1"
     .NLADirectionY "0"
     .NLADirectionZ "0"
     .Rho "0"
     .ThermalType "Normal"
     .ThermalConductivity "0"
     .HeatCapacity "0"
     .MetabolicRate "0"
     .BloodFlow "0"
     .VoxelConvection "0"
     .MechanicsType "Unused"
     .Colour "0", "1", "1" 
     .Wireframe "False" 
     .Reflection "False" 
     .Allowoutline "True" 
     .Transparentoutline "False" 
     .Transparency "0" 
     .Create
End With

'@ new component: component1

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
Component.New "component1"

'@ define brick: component1:substrate

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
With Brick
     .Reset 
     .Name "substrate" 
     .Component "component1" 
     .Material "material1" 
     .Xrange "-dcellx/2", "dcellx/2" 
     .Yrange "-dcelly/2", "dcelly/2" 
     .Zrange "-h", "0" 
     .Create
End With

'@ pick face

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
Pick.PickFaceFromId "component1:substrate", "2"

'@ align wcs with face

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
WCS.AlignWCSWithSelected "Face"

'@ define brick: component1:solid1

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
With Brick
     .Reset 
     .Name "solid1" 
     .Component "component1" 
     .Material "PEC" 
     .Xrange "-dcellx/2", "dcellx/2" 
     .Yrange "-dcelly/2", "dcelly/2" 
     .Zrange "0", "hground" 
     .Create
End With

'@ pick face

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
Pick.PickFaceFromId "component1:substrate", "1"

'@ activate global coordinates

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
WCS.ActivateWCS "global"

'@ align wcs with face

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
WCS.AlignWCSWithSelected "Face"

'@ define brick: component1:patch

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
With Brick
     .Reset 
     .Name "patch" 
     .Component "component1" 
     .Material "PEC" 
     .Xrange "-dcellx/2", "-dcellx/2+PW" 
     .Yrange "-PW/2", "PW/2" 
     .Zrange "0", "hpatch" 
     .Create
End With

'@ define brick: component1:solid2

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
With Brick
     .Reset 
     .Name "solid2" 
     .Component "component1" 
     .Material "PEC" 
     .Xrange "dcellx/2-PW", "dcellx/2" 
     .Yrange "-PW/2", "PW/2" 
     .Zrange "0", "hpatch" 
     .Create
End With

'@ define brick: component1:solid3

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
With Brick
     .Reset 
     .Name "solid3" 
     .Component "component1" 
     .Material "PEC" 
     .Xrange "-gap/2", "-gap/2+MB" 
     .Yrange "PW/2-MW", "PW/2" 
     .Zrange "0", "hpatch" 
     .Create
End With

'@ define brick: component1:solid4

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
With Brick
     .Reset 
     .Name "solid4" 
     .Component "component1" 
     .Material "PEC" 
     .Xrange "-gap/2+MB", "-gap/2+MB+MG" 
     .Yrange "PW/2", "PW/2-ML" 
     .Zrange "0", "hpatch" 
     .Create
End With

'@ define brick: component1:solid5

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
With Brick
     .Reset 
     .Name "solid5" 
     .Component "component1" 
     .Material "PEC" 
     .Xrange "-gap/2+MB+MG", "-gap/2+MB+2*MG" 
     .Yrange "-PW/2", "-PW/2+MW" 
     .Zrange "0", "hpatch" 
     .Create
End With

'@ define brick: component1:solid6

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
With Brick
     .Reset 
     .Name "solid6" 
     .Component "component1" 
     .Material "PEC" 
     .Xrange "-gap/2+MB+2*MG", "-gap/2+MB+3*MG" 
     .Yrange "-PW/2", "-PW/2+ML" 
     .Zrange "0", "hpatch" 
     .Create
End With

'@ define brick: component1:solid7

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
With Brick
     .Reset 
     .Name "solid7" 
     .Component "component1" 
     .Material "PEC" 
     .Xrange "-gap/2+MB+3*MG", "-gap/2+MB+4*MG" 
     .Yrange "PW/2-MW", "PW/2" 
     .Zrange "0", "hpatch" 
     .Create
End With

'@ define brick: component1:solid8

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
With Brick
     .Reset 
     .Name "solid8" 
     .Component "component1" 
     .Material "PEC" 
     .Xrange "-gap/2+MB+4*MG", "-gap/2+MB+5*MG" 
     .Yrange "PW/2-ML", "PW/2" 
     .Zrange "0", "hpatch" 
     .Create
End With

'@ define brick: component1:solid9

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
With Brick
     .Reset 
     .Name "solid9" 
     .Component "component1" 
     .Material "PEC" 
     .Xrange "-gap/2+MB+5*MG", "-gap/2+MB+6*MG" 
     .Yrange "-PW/2", "-PW/2+MW" 
     .Zrange "0", "hpatch" 
     .Create
End With

'@ define brick: component1:solid10

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
With Brick
     .Reset 
     .Name "solid10" 
     .Component "component1" 
     .Material "PEC" 
     .Xrange "-gap/2+MB+6*MG", "-gap/2+MB+7*MG" 
     .Yrange "-PW/2", "-PW/2+ML" 
     .Zrange "0", "hpatch" 
     .Create
End With

'@ define brick: component1:solid11

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
With Brick
     .Reset 
     .Name "solid11" 
     .Component "component1" 
     .Material "PEC" 
     .Xrange "-gap/2+7*MG+MB ", "-gap/2+7*MG+2*MB + 0.5*(hpatch)" 
     .Yrange "PW/2-MW", "PW/2" 
     .Zrange "0", "hpatch" 
     .Create
End With

'@ rename block: component1:solid1 to: component1:ground

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
Solid.Rename "component1:solid1", "ground"

'@ boolean add shapes: component1:patch, component1:solid2

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
Solid.Add "component1:patch", "component1:solid2"

'@ boolean add shapes: component1:patch, component1:solid3

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
Solid.Add "component1:patch", "component1:solid3"

'@ boolean add shapes: component1:patch, component1:solid4

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
Solid.Add "component1:patch", "component1:solid4"

'@ boolean add shapes: component1:patch, component1:solid5

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
Solid.Add "component1:patch", "component1:solid5"

'@ boolean add shapes: component1:patch, component1:solid6

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
Solid.Add "component1:patch", "component1:solid6"

'@ boolean add shapes: component1:patch, component1:solid7

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
Solid.Add "component1:patch", "component1:solid7"

'@ boolean add shapes: component1:patch, component1:solid8

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
Solid.Add "component1:patch", "component1:solid8"

'@ boolean add shapes: component1:patch, component1:solid9

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
Solid.Add "component1:patch", "component1:solid9"

'@ boolean add shapes: component1:patch, component1:solid10

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
Solid.Add "component1:patch", "component1:solid10"

'@ boolean add shapes: component1:patch, component1:solid11

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
Solid.Add "component1:patch", "component1:solid11"

'@ define frequency range

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
Solver.FrequencyRange "0.0", "10"

'@ define boundaries

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
With Boundary
     .Xmin "open" 
     .Xmax "open" 
     .Ymin "open" 
     .Ymax "open" 
     .Zmin "open" 
     .Zmax "open" 
     .Xsymmetry "none" 
     .Ysymmetry "none" 
     .Zsymmetry "none" 
     .XminThermal "isothermal" 
     .XmaxThermal "isothermal" 
     .YminThermal "isothermal" 
     .YmaxThermal "isothermal" 
     .ZminThermal "isothermal" 
     .ZmaxThermal "isothermal" 
     .XsymmetryThermal "none" 
     .YsymmetryThermal "none" 
     .ZsymmetryThermal "none" 
     .ApplyInAllDirections "True" 
     .XminTemperature "" 
     .XminTemperatureType "None" 
     .XmaxTemperature "" 
     .XmaxTemperatureType "None" 
     .YminTemperature "" 
     .YminTemperatureType "None" 
     .YmaxTemperature "" 
     .YmaxTemperatureType "None" 
     .ZminTemperature "" 
     .ZminTemperatureType "None" 
     .ZmaxTemperature "" 
     .ZmaxTemperatureType "None" 
End With

'@ define port: 1

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
With Port 
     .Reset 
     .PortNumber "1" 
     .Label "" 
     .NumberOfModes "1" 
     .AdjustPolarization "False" 
     .PolarizationAngle "0.0" 
     .ReferencePlaneDistance "0" 
     .TextSize "50" 
     .Coordinates "Full" 
     .Orientation "xmin" 
     .PortOnBound "True" 
     .ClipPickedPortToBound "False" 
     .Xrange "-1.69", "-1.69" 
     .Yrange "-0.89", "0.89" 
     .Zrange "-0.1153", "0.001" 
     .XrangeAdd "0.0", "0.0" 
     .YrangeAdd "0.0", "0.0" 
     .ZrangeAdd "0.0", "0.0" 
     .SingleEnded "False" 
     .Create 
End With

'@ define port: 2

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
With Port 
     .Reset 
     .PortNumber "2" 
     .Label "" 
     .NumberOfModes "1" 
     .AdjustPolarization "False" 
     .PolarizationAngle "0.0" 
     .ReferencePlaneDistance "0" 
     .TextSize "50" 
     .Coordinates "Full" 
     .Orientation "xmax" 
     .PortOnBound "True" 
     .ClipPickedPortToBound "False" 
     .Xrange "1.69", "1.69" 
     .Yrange "-0.89", "0.89" 
     .Zrange "-0.1153", "0.001" 
     .XrangeAdd "0.0", "0.0" 
     .YrangeAdd "0.0", "0.0" 
     .ZrangeAdd "0.0", "0.0" 
     .SingleEnded "False" 
     .Create 
End With

'@ define solver parameters

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
Mesh.SetCreator "High Frequency" 
With Solver 
     .CalculationType "TD-S"
     .StimulationPort "All"
     .StimulationMode "All"
     .SteadyStateLimit "-30.0"
     .MeshAdaption "False"
     .AutoNormImpedance "False"
     .NormingImpedance "50"
     .CalculateModesOnly "False"
     .SParaSymmetry "False"
     .StoreTDResultsInCache  "False"
     .FullDeembedding "False"
     .SuperimposePLWExcitation "False"
     .UseSensitivityAnalysis "False"
End With

'@ set pba mesh type

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
Mesh.MeshType "PBA"

'@ define solver parameters

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
Mesh.SetCreator "High Frequency" 
With Solver 
     .CalculationType "TD-S"
     .StimulationPort "1"
     .StimulationMode "1"
     .SteadyStateLimit "-30.0"
     .MeshAdaption "False"
     .CalculateModesOnly "False"
     .SParaSymmetry "False"
     .StoreTDResultsInCache  "False"
     .FullDeembedding "False"
     .SuperimposePLWExcitation "False"
     .UseSensitivityAnalysis "False"
End With

'@ define frequency range

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
Solver.FrequencyRange "0.0", "10"

'@ delete port: port1

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
Port.Delete "1"

'@ delete port: port2

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
Port.Delete "2"

'@ define port: 1

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
With Port 
     .Reset 
     .PortNumber "1" 
     .Label "" 
     .NumberOfModes "1" 
     .AdjustPolarization "False" 
     .PolarizationAngle "0.0" 
     .ReferencePlaneDistance "0" 
     .TextSize "50" 
     .Coordinates "Full" 
     .Orientation "xmin" 
     .PortOnBound "True" 
     .ClipPickedPortToBound "False" 
     .Xrange "-1.69", "-1.69" 
     .Yrange "-0.89", "0.89" 
     .Zrange "-0.1153", "0.001" 
     .XrangeAdd "0.0", "0.0" 
     .YrangeAdd "0.0", "0.0" 
     .ZrangeAdd "0.0", "0.0" 
     .SingleEnded "False" 
     .Create 
End With

'@ define port: 2

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
With Port 
     .Reset 
     .PortNumber "2" 
     .Label "" 
     .NumberOfModes "1" 
     .AdjustPolarization "False" 
     .PolarizationAngle "0.0" 
     .ReferencePlaneDistance "0" 
     .TextSize "50" 
     .Coordinates "Full" 
     .Orientation "xmax" 
     .PortOnBound "True" 
     .ClipPickedPortToBound "False" 
     .Xrange "1.69", "1.69" 
     .Yrange "-0.89", "0.89" 
     .Zrange "-0.1153", "0.001" 
     .XrangeAdd "0.0", "0.0" 
     .YrangeAdd "0.0", "0.0" 
     .ZrangeAdd "0.0", "0.0" 
     .SingleEnded "False" 
     .Create 
End With

'@ define background

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
With Background 
     .Reset 
     .Type "Normal" 
     .Epsilon "1.0" 
     .Mue "1.0" 
     .ElConductivity "0.0" 
     .ThermalType "Normal" 
     .ThermalConductivity "0.0" 
     .HeatCapacity "0.0" 
     .Rho "0.0" 
     .XminSpace "0.0" 
     .XmaxSpace "0.0" 
     .YminSpace "0.0" 
     .YmaxSpace "0.0" 
     .ZminSpace "0.0" 
     .ZmaxSpace "0.0" 
     .ApplyInAllDirections "False" 
End With

'@ set 3d mesh adaptation properties

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
With MeshAdaption3D
    .SetType "Time" 
    .SetAdaptionStrategy "ExpertSystem" 
    .MinPasses "2" 
    .MaxPasses "10" 
    .MeshIncrement "5" 
    .ClearStopCriteria
    .AddSParameterStopCriterion "True", "0.0", "10", "0.02", "1", "True" 
    .Add0DResultStopCriterion "", "0.02", "1", "False" 
End With

'@ define solver parameters

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
Mesh.SetCreator "High Frequency" 
With Solver 
     .CalculationType "TD-S"
     .StimulationPort "1"
     .StimulationMode "1"
     .SteadyStateLimit "-30.0"
     .MeshAdaption "True"
     .CalculateModesOnly "False"
     .SParaSymmetry "False"
     .StoreTDResultsInCache  "False"
     .FullDeembedding "False"
     .SuperimposePLWExcitation "False"
     .UseSensitivityAnalysis "False"
End With

'@ set 3d mesh adaptation results

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
With Mesh 
    .LinesPerWavelength "20" 
    .MinimumStepNumber "20" 
End With

'@ set 3d mesh adaptation properties

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
With MeshAdaption3D
    .SetType "Time" 
    .SetAdaptionStrategy "ExpertSystem" 
    .MinPasses "2" 
    .MaxPasses "10" 
    .MeshIncrement "5" 
    .ClearStopCriteria
    .AddSParameterStopCriterion "True", "0.0", "10", "0.02", "1", "True" 
    .Add0DResultStopCriterion "", "0.02", "1", "False" 
End With

'@ define special solver parameters

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
With Solver
     .TimeBetweenUpdates "1200"
     .SteadyStateDurationType "Number of pulses"
     .NumberOfPulseWidths "20"
     .SteadyStateDurationTime "0.225333"
     .SteadyStateDurationTimeAsDistance "67.6"
     .UseArfilter "False"
     .ArMaxEnergyDeviation "0.1"
     .ArPulseSkip "1"
     .WaveguideBroadband "False"
     .SetBBPSamples "5"
     .DispEpsFullDeembedding "False"
     .SetSamplesFullDeembedding "20"
     .SetSubcycleState "Automatic"
     .SetSubgridCycleState "Automatic"
     .SimplifiedPBAMethod "False"
     .TimeStepStabilityFactor "1.0"
     .UseOpenBoundaryForHigherModes "False"
     .SetModeFreqFactor "0.5"
     .SurfaceImpedanceOrder "10"
     .ActivateSIPowerLossyMonitor "False"
     .SetPMLType "CONVPML"
     .SetPortShielding "False"
     .FrequencySamples "1001"
     .ConsiderTwoPortReciprocity "True"
     .EnergyBalanceLimit "0.03"
     .UseTSTAtPort "True"
     .SParaAdjustment "True"
     .AutomaticTimeSignalSampling "True"
     .NormalizeToRefSignal "True"
     .RestartAfterInstabilityAbort "True"
     .AdaptivePortMeshing "True"
     .AccuracyAdaptivePortMeshing "1"
     .PassesAdaptivePortMeshing "4"
End With

'@ delete port: port1

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
Port.Delete "1"

'@ delete port: port2

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
Port.Delete "2"

'@ define boundaries

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
With Boundary
     .Xmin "open" 
     .Xmax "open" 
     .Ymin "magnetic" 
     .Ymax "magnetic" 
     .Zmin "open" 
     .Zmax "open" 
     .Xsymmetry "none" 
     .Ysymmetry "none" 
     .Zsymmetry "none" 
     .XminThermal "isothermal" 
     .XmaxThermal "isothermal" 
     .YminThermal "isothermal" 
     .YmaxThermal "isothermal" 
     .ZminThermal "isothermal" 
     .ZmaxThermal "isothermal" 
     .XsymmetryThermal "none" 
     .YsymmetryThermal "none" 
     .ZsymmetryThermal "none" 
     .ApplyInAllDirections "False" 
     .XminTemperature "" 
     .XminTemperatureType "None" 
     .XmaxTemperature "" 
     .XmaxTemperatureType "None" 
     .YminTemperature "" 
     .YminTemperatureType "None" 
     .YmaxTemperature "" 
     .YmaxTemperatureType "None" 
     .ZminTemperature "" 
     .ZminTemperatureType "None" 
     .ZmaxTemperature "" 
     .ZmaxTemperatureType "None" 
End With

'@ define port: 1

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
With Port 
     .Reset 
     .PortNumber "1" 
     .Label "" 
     .NumberOfModes "1" 
     .AdjustPolarization "False" 
     .PolarizationAngle "0.0" 
     .ReferencePlaneDistance "10" 
     .TextSize "50" 
     .Coordinates "Full" 
     .Orientation "xmin" 
     .PortOnBound "True" 
     .ClipPickedPortToBound "False" 
     .Xrange "-1.69", "-1.69" 
     .Yrange "-0.89", "0.89" 
     .Zrange "-0.1153", "0.001" 
     .XrangeAdd "0.0", "0.0" 
     .YrangeAdd "0.0", "0.0" 
     .ZrangeAdd "0.0", "0.0" 
     .SingleEnded "False" 
     .Create 
End With

'@ define port: 2

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
With Port 
     .Reset 
     .PortNumber "2" 
     .Label "" 
     .NumberOfModes "1" 
     .AdjustPolarization "False" 
     .PolarizationAngle "0.0" 
     .ReferencePlaneDistance "10" 
     .TextSize "50" 
     .Coordinates "Full" 
     .Orientation "xmax" 
     .PortOnBound "True" 
     .ClipPickedPortToBound "False" 
     .Xrange "1.69", "1.69" 
     .Yrange "-0.89", "0.89" 
     .Zrange "-0.1153", "0.001" 
     .XrangeAdd "0.0", "0.0" 
     .YrangeAdd "0.0", "0.0" 
     .ZrangeAdd "0.0", "0.0" 
     .SingleEnded "False" 
     .Create 
End With

'@ set 3d mesh adaptation properties

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
With MeshAdaption3D
    .SetType "Time" 
    .SetAdaptionStrategy "ExpertSystem" 
    .MinPasses "2" 
    .MaxPasses "10" 
    .MeshIncrement "5" 
    .ClearStopCriteria
    .AddSParameterStopCriterion "True", "0.0", "10", "0.02", "1", "True" 
    .Add0DResultStopCriterion "", "0.02", "1", "False" 
End With

'@ define special solver parameters

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
With Solver
     .TimeBetweenUpdates "1200"
     .SteadyStateDurationType "Number of pulses"
     .NumberOfPulseWidths "20"
     .SteadyStateDurationTime "0.225333"
     .SteadyStateDurationTimeAsDistance "67.6"
     .UseArfilter "False"
     .ArMaxEnergyDeviation "0.1"
     .ArPulseSkip "1"
     .WaveguideBroadband "False"
     .SetBBPSamples "5"
     .DispEpsFullDeembedding "False"
     .SetSamplesFullDeembedding "20"
     .SetSubcycleState "Automatic"
     .SetSubgridCycleState "Automatic"
     .SimplifiedPBAMethod "False"
     .TimeStepStabilityFactor "1.0"
     .UseOpenBoundaryForHigherModes "True"
     .SetModeFreqFactor "0.5"
     .SurfaceImpedanceOrder "10"
     .ActivateSIPowerLossyMonitor "False"
     .SetPMLType "CONVPML"
     .SetPortShielding "False"
     .FrequencySamples "1001"
     .ConsiderTwoPortReciprocity "True"
     .EnergyBalanceLimit "0.03"
     .UseTSTAtPort "True"
     .SParaAdjustment "True"
     .AutomaticTimeSignalSampling "True"
     .NormalizeToRefSignal "True"
     .RestartAfterInstabilityAbort "True"
     .AdaptivePortMeshing "True"
     .AccuracyAdaptivePortMeshing "1"
     .PassesAdaptivePortMeshing "4"
End With

'@ define solver parameters

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
Mesh.SetCreator "High Frequency" 
With Solver 
     .CalculationType "TD-S"
     .StimulationPort "1"
     .StimulationMode "1"
     .SteadyStateLimit "-30.0"
     .MeshAdaption "False"
     .CalculateModesOnly "False"
     .SParaSymmetry "False"
     .StoreTDResultsInCache  "False"
     .FullDeembedding "False"
     .SuperimposePLWExcitation "False"
     .UseSensitivityAnalysis "False"
End With

'@ define boundaries

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
With Boundary
     .Xmin "open" 
     .Xmax "open" 
     .Ymin "open" 
     .Ymax "open" 
     .Zmin "open" 
     .Zmax "open" 
     .Xsymmetry "none" 
     .Ysymmetry "none" 
     .Zsymmetry "none" 
     .XminThermal "isothermal" 
     .XmaxThermal "isothermal" 
     .YminThermal "isothermal" 
     .YmaxThermal "isothermal" 
     .ZminThermal "isothermal" 
     .ZmaxThermal "isothermal" 
     .XsymmetryThermal "none" 
     .YsymmetryThermal "none" 
     .ZsymmetryThermal "none" 
     .ApplyInAllDirections "False" 
     .XminTemperature "" 
     .XminTemperatureType "None" 
     .XmaxTemperature "" 
     .XmaxTemperatureType "None" 
     .YminTemperature "" 
     .YminTemperatureType "None" 
     .YmaxTemperature "" 
     .YmaxTemperatureType "None" 
     .ZminTemperature "" 
     .ZminTemperatureType "None" 
     .ZmaxTemperature "" 
     .ZmaxTemperatureType "None" 
End With

'@ define special solver parameters

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
With Solver
     .TimeBetweenUpdates "1200"
     .SteadyStateDurationType "Number of pulses"
     .NumberOfPulseWidths "20"
     .SteadyStateDurationTime "0.225333"
     .SteadyStateDurationTimeAsDistance "67.6"
     .UseArfilter "False"
     .ArMaxEnergyDeviation "0.1"
     .ArPulseSkip "1"
     .WaveguideBroadband "False"
     .SetBBPSamples "5"
     .DispEpsFullDeembedding "False"
     .SetSamplesFullDeembedding "20"
     .SetSubcycleState "Automatic"
     .SetSubgridCycleState "Automatic"
     .SimplifiedPBAMethod "False"
     .TimeStepStabilityFactor "1.0"
     .UseOpenBoundaryForHigherModes "True"
     .SetModeFreqFactor "0.5"
     .SurfaceImpedanceOrder "10"
     .ActivateSIPowerLossyMonitor "False"
     .SetPMLType "CONVPML"
     .SetPortShielding "False"
     .FrequencySamples "1001"
     .ConsiderTwoPortReciprocity "True"
     .EnergyBalanceLimit "0.03"
     .UseTSTAtPort "True"
     .SParaAdjustment "True"
     .AutomaticTimeSignalSampling "True"
     .NormalizeToRefSignal "True"
     .RestartAfterInstabilityAbort "True"
     .AdaptivePortMeshing "True"
     .AccuracyAdaptivePortMeshing "1"
     .PassesAdaptivePortMeshing "4"
End With

'@ define pml specials

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
With Boundary
     .Layer "6" 
     .MinimumDistanceType "Fraction" 
     .MinimumDistancePerWavelength "8" 
     .MinimumDistanceReferenceFrequencyType "Center" 
     .FrequencyForMinimumDistance "5" 
End With

'@ delete port: port2

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
Port.Delete "2"

'@ delete port: port1

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
Port.Delete "1"

'@ pick face

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
Pick.PickFaceFromId "component1:patch", "60"

'@ define port: 1

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
With Port 
     .Reset 
     .PortNumber "1" 
     .Label "" 
     .NumberOfModes "1" 
     .AdjustPolarization "False" 
     .PolarizationAngle "0.0" 
     .ReferencePlaneDistance "0" 
     .TextSize "50" 
     .Coordinates "Picks" 
     .Orientation "positive" 
     .PortOnBound "True" 
     .ClipPickedPortToBound "False" 
     .Xrange "1.69", "1.69" 
     .Yrange "-0.8", "0.8" 
     .Zrange "0", "0.001" 
     .XrangeAdd "0.0", "0.0" 
     .YrangeAdd "0.0", "0.0" 
     .ZrangeAdd "0.0", "0.0" 
     .SingleEnded "False" 
     .Create 
End With

'@ pick face

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
Pick.PickFaceFromId "component1:patch", "64"

'@ define port: 2

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
With Port 
     .Reset 
     .PortNumber "2" 
     .Label "" 
     .NumberOfModes "1" 
     .AdjustPolarization "False" 
     .PolarizationAngle "0.0" 
     .ReferencePlaneDistance "0" 
     .TextSize "50" 
     .Coordinates "Picks" 
     .Orientation "positive" 
     .PortOnBound "True" 
     .ClipPickedPortToBound "False" 
     .Xrange "-1.69", "-1.69" 
     .Yrange "-0.8", "0.8" 
     .Zrange "0", "0.001" 
     .XrangeAdd "0.0", "0.0" 
     .YrangeAdd "0.0", "0.0" 
     .ZrangeAdd "0.0", "0.0" 
     .SingleEnded "False" 
     .Create 
End With

'@ define solver parameters

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
Mesh.SetCreator "High Frequency" 
With Solver 
     .CalculationType "TD-S"
     .StimulationPort "2"
     .StimulationMode "1"
     .SteadyStateLimit "-30.0"
     .MeshAdaption "True"
     .CalculateModesOnly "False"
     .SParaSymmetry "False"
     .StoreTDResultsInCache  "False"
     .FullDeembedding "False"
     .SuperimposePLWExcitation "False"
     .UseSensitivityAnalysis "False"
End With

'@ delete port: port1

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
Port.Delete "1"

'@ delete port: port2

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
Port.Delete "2"

'@ pick face

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
Pick.PickFaceFromId "component1:patch", "64"

'@ define port: 1

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
With Port 
     .Reset 
     .PortNumber "1" 
     .Label "" 
     .NumberOfModes "1" 
     .AdjustPolarization "False" 
     .PolarizationAngle "0.0" 
     .ReferencePlaneDistance "0" 
     .TextSize "50" 
     .Coordinates "Picks" 
     .Orientation "positive" 
     .PortOnBound "True" 
     .ClipPickedPortToBound "False" 
     .Xrange "-1.69", "-1.69" 
     .Yrange "-0.8", "0.8" 
     .Zrange "0", "0.001" 
     .XrangeAdd "0.0", "0.0" 
     .YrangeAdd "3*MW", "3*MW" 
     .ZrangeAdd "h+hpatch", "4*h" 
     .SingleEnded "False" 
     .Create 
End With

'@ pick face

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
Pick.PickFaceFromId "component1:patch", "60"

'@ define port: 2

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
With Port 
     .Reset 
     .PortNumber "2" 
     .Label "" 
     .NumberOfModes "1" 
     .AdjustPolarization "False" 
     .PolarizationAngle "0.0" 
     .ReferencePlaneDistance "0" 
     .TextSize "50" 
     .Coordinates "Picks" 
     .Orientation "positive" 
     .PortOnBound "True" 
     .ClipPickedPortToBound "False" 
     .Xrange "1.69", "1.69" 
     .Yrange "-0.8", "0.8" 
     .Zrange "0", "0.001" 
     .XrangeAdd "0.0", "0.0" 
     .YrangeAdd "3*MW", "3*MW" 
     .ZrangeAdd "h+hpatch", "4*h" 
     .SingleEnded "False" 
     .Create 
End With

'@ define solver parameters

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
Mesh.SetCreator "High Frequency" 
With Solver 
     .CalculationType "TD-S"
     .StimulationPort "All"
     .StimulationMode "All"
     .SteadyStateLimit "-30.0"
     .MeshAdaption "True"
     .AutoNormImpedance "True"
     .NormingImpedance "50"
     .CalculateModesOnly "False"
     .SParaSymmetry "False"
     .StoreTDResultsInCache  "False"
     .FullDeembedding "False"
     .SuperimposePLWExcitation "False"
     .UseSensitivityAnalysis "False"
End With

'@ define special solver parameters

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
With Solver
     .TimeBetweenUpdates "1200"
     .SteadyStateDurationType "Number of pulses"
     .NumberOfPulseWidths "20"
     .SteadyStateDurationTime "0.225333"
     .SteadyStateDurationTimeAsDistance "67.6"
     .UseArfilter "False"
     .ArMaxEnergyDeviation "0.1"
     .ArPulseSkip "1"
     .WaveguideBroadband "False"
     .SetBBPSamples "5"
     .DispEpsFullDeembedding "False"
     .SetSamplesFullDeembedding "20"
     .SetSubcycleState "Automatic"
     .SetSubgridCycleState "Automatic"
     .SimplifiedPBAMethod "False"
     .TimeStepStabilityFactor "1.0"
     .UseOpenBoundaryForHigherModes "True"
     .SetModeFreqFactor "0.5"
     .SurfaceImpedanceOrder "10"
     .ActivateSIPowerLossyMonitor "False"
     .SetPMLType "CONVPML"
     .SetPortShielding "False"
     .FrequencySamples "1001"
     .ConsiderTwoPortReciprocity "True"
     .EnergyBalanceLimit "0.03"
     .UseTSTAtPort "True"
     .SParaAdjustment "True"
     .AutomaticTimeSignalSampling "True"
     .NormalizeToRefSignal "True"
     .RestartAfterInstabilityAbort "True"
     .AdaptivePortMeshing "True"
     .AccuracyAdaptivePortMeshing "1"
     .PassesAdaptivePortMeshing "4"
End With

'@ define solver parameters

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
Mesh.SetCreator "High Frequency" 
With Solver 
     .CalculationType "TD-S"
     .StimulationPort "1"
     .StimulationMode "1"
     .SteadyStateLimit "-30.0"
     .MeshAdaption "False"
     .CalculateModesOnly "False"
     .SParaSymmetry "False"
     .StoreTDResultsInCache  "False"
     .FullDeembedding "False"
     .SuperimposePLWExcitation "False"
     .UseSensitivityAnalysis "False"
End With

'@ define frequency range

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
Solver.FrequencyRange "0.5", "6"

'@ define special solver parameters

'[VERSION]2011.0|21.0.0|20110114[/VERSION]
With Solver
     .TimeBetweenUpdates "1200"
     .SteadyStateDurationType "Number of pulses"
     .NumberOfPulseWidths "20"
     .SteadyStateDurationTime "0.225333"
     .SteadyStateDurationTimeAsDistance "67.6"
     .UseArfilter "False"
     .ArMaxEnergyDeviation "0.1"
     .ArPulseSkip "1"
     .WaveguideBroadband "False"
     .SetBBPSamples "5"
     .DispEpsFullDeembedding "False"
     .SetSamplesFullDeembedding "20"
     .SetSubcycleState "Automatic"
     .SetSubgridCycleState "Automatic"
     .SimplifiedPBAMethod "False"
     .TimeStepStabilityFactor "1.0"
     .UseOpenBoundaryForHigherModes "True"
     .SetModeFreqFactor "0.5"
     .SurfaceImpedanceOrder "10"
     .ActivateSIPowerLossyMonitor "False"
     .SetPMLType "CONVPML"
     .SetPortShielding "False"
     .FrequencySamples "1001"
     .ConsiderTwoPortReciprocity "True"
     .EnergyBalanceLimit "0.03"
     .UseTSTAtPort "True"
     .SParaAdjustment "True"
     .AutomaticTimeSignalSampling "True"
     .NormalizeToRefSignal "True"
     .RestartAfterInstabilityAbort "True"
     .AdaptivePortMeshing "True"
     .AccuracyAdaptivePortMeshing "1"
     .PassesAdaptivePortMeshing "4"
End With

'@ set mesh properties

'[VERSION]2013.1|23.0.0|20130516[/VERSION]
With MeshSettings 
     .SetMeshType "Tet" 
     .Set "CellsPerWavelengthPolicy", "cellsperwavelength" 
     .Set "CurvatureOrderPolicy", "off" 
     .SetMeshType "Plane" 
     .Set "CurvatureOrderPolicy", "off" 
End With 


'@ change solver type

'[VERSION]2013.1|23.0.0|20130516[/VERSION]
ChangeSolverType "HF Time Domain" 


'@ pick end point

'[VERSION]2013.1|23.0.0|20130516[/VERSION]
Pick.PickEndpointFromId "component1:patch", "94" 


'@ pick end point

'[VERSION]2013.1|23.0.0|20130516[/VERSION]
Pick.PickEndpointFromId "component1:patch", "93" 


'@ pick end point

'[VERSION]2013.1|23.0.0|20130516[/VERSION]
Pick.PickEndpointFromId "component1:patch", "28" 


'@ pick end point

'[VERSION]2013.1|23.0.0|20130516[/VERSION]
Pick.PickEndpointFromId "component1:patch", "31" 


'@ define brick: component1:solid1

'[VERSION]2013.1|23.0.0|20130516[/VERSION]
With Brick
     .Reset 
     .Name "solid1" 
     .Component "component1" 
     .Material "Vacuum" 
     .Xrange "-0.01", "0.01" 
     .Yrange "-0.8", "0.78" 
     .Zrange "0", "0.001" 
     .Create
End With


'@ clear picks

'[VERSION]2013.1|23.0.0|20130516[/VERSION]
Pick.ClearAllPicks 


'@ rename block: component1:solid1 to: component1:Vacuum in slot

'[VERSION]2013.1|23.0.0|20130516[/VERSION]
Solid.Rename "component1:solid1", "Vacuum in slot"


'@ create group: meshgroup1

'[VERSION]2013.1|23.0.0|20130516[/VERSION]
Group.Add "meshgroup1", "mesh"


'@ set local mesh properties for: meshgroup1

'[VERSION]2013.1|23.0.0|20130516[/VERSION]
With MeshSettings
     With .ItemMeshSettings ("group$meshgroup1")
          .SetMeshType "Hex"
          .Set "EdgeRefinement", "1"
          .Set "Extend", "0", "0", "0"
          .Set "Fixpoints", 1
          .Set "MeshType", "Default"
          .Set "Priority", "0"
          .Set "SnappingIntervals", "0", "0", "0"
          .Set "Step", "PW/2", "0", "0"
          .Set "UseDielectrics", 1
          .Set "UseEdgeRefinement", 0
          .Set "UseForRefinement", 1
          .Set "UseForSnapping", 1
          .Set "UseStepAndExtend", 1
          .Set "UseVolumeRefinement", 0
          .Set "VolumeRefinement", "1"
     End With
End With


'@ add items to group: "meshgroup1"

'[VERSION]2013.1|23.0.0|20130516[/VERSION]
Group.AddItem "solid$component1:Vacuum in slot", "meshgroup1"


'@ set local mesh properties for: meshgroup1

'[VERSION]2013.1|23.0.0|20130516[/VERSION]
With MeshSettings
     With .ItemMeshSettings ("group$meshgroup1")
          .SetMeshType "Hex"
          .Set "EdgeRefinement", "1"
          .Set "Extend", "0", "0", "0"
          .Set "Fixpoints", 1
          .Set "MeshType", "Default"
          .Set "Priority", "0"
          .Set "SnappingIntervals", "0", "0", "0"
          .Set "Step", "PW/30", "0", "0"
          .Set "UseDielectrics", 1
          .Set "UseEdgeRefinement", 0
          .Set "UseForRefinement", 1
          .Set "UseForSnapping", 1
          .Set "UseStepAndExtend", 1
          .Set "UseVolumeRefinement", 0
          .Set "VolumeRefinement", "1"
     End With
End With


'@ clear picks

'[VERSION]2013.1|23.0.0|20130516[/VERSION]
Pick.ClearAllPicks 


'@ set local mesh properties for: meshgroup1

'[VERSION]2013.1|23.0.0|20130516[/VERSION]
With MeshSettings
     With .ItemMeshSettings ("group$meshgroup1")
          .SetMeshType "Hex"
          .Set "EdgeRefinement", "1"
          .Set "Extend", "MB/2", "0", "0"
          .Set "Fixpoints", 1
          .Set "MeshType", "Default"
          .Set "Priority", "0"
          .Set "SnappingIntervals", "0", "0", "0"
          .Set "Step", "MB/3", "0", "0"
          .Set "UseDielectrics", 1
          .Set "UseEdgeRefinement", 0
          .Set "UseForRefinement", 1
          .Set "UseForSnapping", 1
          .Set "UseStepAndExtend", 1
          .Set "UseVolumeRefinement", 0
          .Set "VolumeRefinement", "1"
     End With
End With


'@ pick end point

'[VERSION]2013.1|23.0.0|20130516[/VERSION]
Pick.PickEndpointFromId "component1:Vacuum in slot", "4" 


'@ pick end point

'[VERSION]2013.1|23.0.0|20130516[/VERSION]
Pick.PickEndpointFromId "component1:Vacuum in slot", "7" 


'@ set local mesh properties for: meshgroup1

'[VERSION]2013.1|23.0.0|20130516[/VERSION]
With MeshSettings
     With .ItemMeshSettings ("group$meshgroup1")
          .SetMeshType "Hex"
          .Set "EdgeRefinement", "1"
          .Set "Extend", "MB/2", "0", "hpatch/2"
          .Set "Fixpoints", 1
          .Set "MeshType", "Default"
          .Set "Priority", "0"
          .Set "SnappingIntervals", "0", "0", "0"
          .Set "Step", "MB/3", "0", "hpatch/2"
          .Set "UseDielectrics", 1
          .Set "UseEdgeRefinement", 0
          .Set "UseForRefinement", 1
          .Set "UseForSnapping", 1
          .Set "UseStepAndExtend", 1
          .Set "UseVolumeRefinement", 0
          .Set "VolumeRefinement", "1"
     End With
End With


'@ clear picks

'[VERSION]2013.1|23.0.0|20130516[/VERSION]
Pick.ClearAllPicks 


